package common

// 套餐
const (
	MissBundleUUID       = "缺少套餐UUID"
	MissOrderSignature   = "缺少客户签名信息"
	ErrorInsertSignature = "插入签名失败"
)

// 订单
const (
	MissOrderNo   = "缺少订单号"
	MissOrderUUID = "缺少订单信息"

	NotMatchOrderInfo = "非当前用户订单信息不可操作"

	HadPay = "订单已支付"

	HadOrder = "您已购买过套餐，无法再次购买"
)

// stripe
const (
	ErrorQueryStripeInfo = "查询支付信息失败"
)

const (
	ErrorDownloadFile = "下载文件失败"
	ErrorUploadFile   = "上传文件失败"
)

// 套餐信息与订单信息
var (
	EnMessages = map[string]string{
		"创建套餐信息失败":       "Failed to create bundle information",
		"创建套餐信息成功":       "Successfully created bundle information",
		"更新套餐信息失败":       "Failed to update bundle information",
		"更新套餐信息成功":       "Successfully updated bundle information",
		"删除套餐信息失败":       "Failed to delete bundle information",
		"删除套餐信息成功":       "Successfully deleted bundle information",
		"获取套餐列表失败":       "Failed to get bundle list",
		"获取套餐信息失败":       "Failed to get bundle information",
		"创建订单信息失败":       "Failed to create order information",
		"创建订单信息成功":       "Successfully created order information",
		"更新订单信息失败":       "Failed to update order information",
		"更新订单信息成功":       "Successfully updated order information",
		"获取订单信息失败":       "Failed to get order information",
		"获取订单列表失败":       "Failed to get order list",
		"缺少套餐UUID":       "Failed to get order list",
		"缺少客户签名信息":       "Failed to get order list",
		"插入签名失败":         "Failed to get order list",
		"缺少订单号":          "Failed to get order list",
		"缺少订单信息":         "Failed to get order list",
		"非当前用户订单信息不可操作":  "Failed to get order list",
		"订单已支付":          "Failed to get order list",
		"您已购买过套餐，无法再次购买": "Failed to get order list",
		"查询支付信息失败":       "Failed to get order list",
		"下载文件失败":         "Failed to get order list",
		"上传文件失败":         "Failed to get order list",
	}
)
